$base-gutter: 8px;

@mixin theme($back, $text, $primary, $danger) {
  --bb-back-color: #{$back};
  @each $increase in 5, 10, 20 {
    --bb-back-color__darken-#{$increase}: #{darken($back, $increase)};
    --bb-back-color__lighten-#{$increase}: #{lighten($back, $increase)};
  }

  --bb-text-color: #{$text};

  --bb-primary-color: #{$primary};
  @each $increase in 5, 10, 20 {
    --bb-primary-color__darken-#{$increase}: #{darken($primary, $increase)};
    --bb-primary-color__lighten-#{$increase}: #{lighten($primary, $increase)};
  }

  --bb-danger-color: #{$danger};
  @each $increase in 5, 10, 20 {
    --bb-danger-color__darken-#{$increase}: #{darken($danger, $increase)};
    --bb-danger-color__lighten-#{$increase}: #{lighten($danger, $increase)};
  }
}

@mixin button-link($color-variable-name: '--bb-primary-color', $highlight: false) {
  cursor: pointer;
  background: none;
  border: none;
  outline: none;
  padding: 0;
  color: var(#{$color-variable-name});

  &:hover {
    @if $highlight {
      color: var(#{$color-variable-name}__lighten-10);
    }

    text-decoration: underline;
  }
}
